unit SecondaryUnit;

{$mode objfpc}{$H+}

interface

uses
  JWAwindows,
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, ComCtrls;

type

  { TSecondaryForm }

  TSecondaryForm = class(TForm)
    PageControl1: TPageControl;
    Panel1: TPanel;
    TabSheet1: TTabSheet;
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private

  public

  end;

var
  SecondaryForm: TSecondaryForm;


implementation

{$R *.lfm}

{ TSecondaryForm }
procedure TSecondaryForm.FormCreate(Sender: TObject);
begin
  Panel1.Height:= 25;
end;


procedure TSecondaryForm.FormShow(Sender: TObject);
var
  rNew : TRect;
  r    : TRect;
begin
  GetWindowRect( FindWindow( 'Shell_traywnd', ''), r);
  // needs JWAwindows in "uses"

  rNew.Top:= 0;
  rNew.Left:= Screen.Width -Self.Width -1;
  rNew.Right:= Screen.Width -1;
  rNew.Bottom:= r.Top -48;
  Self.BoundsRect:= rNew
end;


procedure TSecondaryForm.FormActivate(Sender: TObject);
begin
  Panel1.Caption:= 'xxx';
end;


end.

